Katello - Bug #22802

Create a Skip list for yum importer
03/06/2018 08:53 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category:
Target version: Katello 3.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1335621 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/732
5
Description

https://docs.pulpproject.org/plugins/pulp_rpm/tech-reference/yum-plugins.htmi#yum-importer

Yum importer offers a "skip" option to skip certain content types. Theory is that we may use this to skip srpms in the future.

So as a Runcible User | want to be able to skip certain content types.

Related issues:
Blocks Katello - Bug #22803: As a user | would like to skip srpms on sync Closed

03/06/2018

Associated revisions

Revision a5858c9b - 03/06/2018 09:19 PM - Partha Aji
Fixes #22802 - Add 'skip' option to yum
Yum importer offers a "skip" option to skip certain unit types while

syncing (like rpms, drpms etc )
This commit is to make that available to katello and other projects

Revision 3bbb078c - 03/13/2018 03:41 PM - Partha Aji
Merge pull request #202 from parthaa/add-skip

Fixes #22802 - Add 'skip' option to yum

History

#1 - 03/06/2018 09:25 PM - Partha Aji

- Subject changed from Create a Skip list for importer to Create a Skip list for yum importer

#2 - 03/06/2018 09:57 PM - Partha Aji
- Bugzilla link set to 1335621

#3 - 03/06/2018 10:01 PM - Partha Aji
- Blocks Bug #22803: As a user | would like to skip srpms on sync added

#4 - 04/19/2018 02:51 AM - Partha Aji

- Related to Bug #23323: As a hammer user | would like to see "skipped contents" information in a repo added

#5 - 04/19/2018 05:50 AM - Partha Aji

- Related to deleted (Bug #23323: As a hammer user | would like to see "skipped contents" information in a repo)

#6 - 06/11/2018 06:50 PM - Justin Sherrill
- Project changed from Runcible to Katello

- Pull request https://github.com/Katello/katello/pull/7325 added
https://docs.pulpproject.org/plugins/pulp_rpm/tech-reference/yum-plugins.html#yum-importer

#7 - 06/11/2018 06:50 PM - Justin Sherrill

- Status changed from New to Closed

#8 - 06/13/2018 05:43 PM - Justin Sherrill

- translation missing: en.field_release set to 338
